package cn.ezhizao.project.business.financialBase.service.impl;

import javax.annotation.Resource;

import cn.ezhizao.project.business.financialBase.domain.BizFinancialDictionary;
import cn.ezhizao.project.business.financialBase.mapper.BizFinancialDictionaryMapper;
import cn.ezhizao.project.business.financialBase.service.IBizFinancialDictionaryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */

@Service
public class BizFinancialDictionaryServiceImpl extends ServiceImpl<BizFinancialDictionaryMapper, BizFinancialDictionary> implements IBizFinancialDictionaryService {

    @Resource
    BizFinancialDictionaryMapper financialDictionaryDao;

    @Override
    public List<BizFinancialDictionary> getList(Map<String,Object> conditions) {
        return financialDictionaryDao.getList(conditions);
    }

    @Override
    public List<BizFinancialDictionary> getListByBean(BizFinancialDictionary financialDictionary) {
        return financialDictionaryDao.getList(financialDictionary);
    }

    @Override
    public int getTotal(Map<String,Object> conditions) {
        return financialDictionaryDao.getTotal(conditions);
    }

    @Override
    public List<BizFinancialDictionary> getOldData() {
        return financialDictionaryDao.getOldData();
    }
    @Override
    public int clear() {
        return financialDictionaryDao.clear();
    }
}
